ランタイム: Mix::Scene::MOTION_HANDLE Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Mix::Scene::MOTION_HANDLE Struct Reference

モーションハンドル構造体 More...

`#include <Common.h>`

## Public Member Functions

| MOTION_HANDLE (void)
| コンストラクタ More...
| MOTION_HANDLE (Int32 value)
| コンストラクタ More...
| MOTION_HANDLE (const MOTION_HANDLE &handle)
| コンストラクタ More...
| MOTION_HANDLE (const void *r0, const void *r1)
| 使用禁止 More...
MOTION_HANDLE & | operator= (Int32 value)
| ハンドルを NULL にします More...
MOTION_HANDLE & | operator= (const MOTION_HANDLE &handle)
| コピーします More...
Boolean | operator== (Int32 value) const
| NULLかどうかを確認します More...
Boolean | operator!= (Int32 value) const
| NULLかどうかを確認します More...
Boolean | operator== (const MOTION_HANDLE &handle) const
| 同じかハンドルかどうかを確認します More...
Boolean | operator!= (const MOTION_HANDLE &handle) const
| 違うハンドルかどうかを確認します More...
bool | operator< (const MOTION_HANDLE &handle) const
| 検索用 More...

## Public Attributes

const void * | ref0
| 変更禁止！ More...
const void * | ref1
| 変更禁止！ More...

## Detailed Description

モーションハンドル構造体

## Constructor & Destructor Documentation

Mix::Scene::MOTION_HANDLE::MOTION_HANDLE | ( | void |  | ) |

コンストラクタ

Mix::Scene::MOTION_HANDLE::MOTION_HANDLE | ( | Int32 | value | ) |

コンストラクタ

Parameters

  [in] | value | 常に0

Mix::Scene::MOTION_HANDLE::MOTION_HANDLE | ( | const MOTION_HANDLE & | handle | ) |

コンストラクタ

Parameters

  [in] | handle | ハンドル

Mix::Scene::MOTION_HANDLE::MOTION_HANDLE | ( | const void * | r0,
|  | const void * | r1
| ) |  |

使用禁止

## Member Function Documentation

MOTION_HANDLE& Mix::Scene::MOTION_HANDLE::operator= | ( | Int32 | value | ) |

ハンドルを NULL にします

Parameters

  [in] | value | 常に NULL

Returns
  NULL にしたハンドルを返します

MOTION_HANDLE& Mix::Scene::MOTION_HANDLE::operator= | ( | const MOTION_HANDLE & | handle | ) |

コピーします

Parameters

  [in] | handle | コピー元のハンドル

Returns
  コピーしたハンドルを返します

Boolean Mix::Scene::MOTION_HANDLE::operator== | ( | Int32 | value | ) | const

NULLかどうかを確認します

Parameters

  [in] | value | 常に NULL

Returns
  NULL だった場合は True を返します

Boolean Mix::Scene::MOTION_HANDLE::operator!= | ( | Int32 | value | ) | const

NULLかどうかを確認します

Parameters

  [in] | value | 常に NULL

Returns
  NULL だった場合は True を返します

Boolean Mix::Scene::MOTION_HANDLE::operator== | ( | const MOTION_HANDLE & | handle | ) | const

同じかハンドルかどうかを確認します

Parameters

  [in] | handle | 比較するハンドル

Returns
  同じハンドルの場合は True を返します

Boolean Mix::Scene::MOTION_HANDLE::operator!= | ( | const MOTION_HANDLE & | handle | ) | const

違うハンドルかどうかを確認します

Parameters

  [in] | handle | 比較するハンドル

Returns
  違うハンドルの場合は True を返します

bool Mix::Scene::MOTION_HANDLE::operator< | ( | const MOTION_HANDLE & | handle | ) | const

検索用

## Member Data Documentation

const void* Mix::Scene::MOTION_HANDLE::ref0

変更禁止！

const void* Mix::Scene::MOTION_HANDLE::ref1

変更禁止！

The documentation for this struct was generated from the following file:

- Mix/Common.h